/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.asynch;

/**
 * Wraps oswego or java.util.concurrent TimeoutException
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.4 $
 */
public class TimeoutException extends Exception
{
   private static final long serialVersionUID = 5399235527815420482L;

   public TimeoutException()
   {
   }

   public TimeoutException(String message)
   {
      super(message);
   }

   public TimeoutException(String message, Throwable cause)
   {
      super(message, cause);
   }

   public TimeoutException(Throwable cause)
   {
      super(cause);
   }
}
